# $Revision: 1.29 $, $Date: 2007/08/05 21:10:50 $
Summary:	Extra tools for GDP members
Summary(pl.UTF-8):	Dodatkowe narzędzia dla członków GDP
Name:		gnome-doc-tools
Version:	1.0
Release:	7
License:	GPL
Group:		Applications/Text
# dead
#Source0:	http://people.redhat.com/dcm/%{name}-%{version}.tar.gz
#URL:		http://people.redhat.com/dcm/software.html
# this file differs with the one from cvs.pld.org.pl
#Source0:	ftp://freeware.sgi.com/source/gnome-doc-tools/gnome-doc-tools-1.0.tar.gz
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	2d8dea2fbbc93117f13d09b8a4734563
URL:		http://freeware.sgi.com/cd-2/relnotes/gnome-doc-tools.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	sgml-common
Requires:	docbook-dtd30-sgml
Requires:	docbook-dtd31-sgml
Prereq:		sgml-common
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	docbook-gnome-dtd10-sgml

%description
The GNOME Documentation Project has a few tools, scripts and files
necessary for creating documentation for GNOME.

%description -l pl.UTF-8
GNOME Documentation Project ma kilka narzędzi, skryptów i plików
potrzebnych do tworzenia dokumentacji dla GNOME.

%prep
%setup -q

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
perl -pi -e "s@%{_libdir}/sgml/stylesheets/nwalsh-modular/@%{_datadir}/sgml/docbook/dsssl-stylesheets/@g" *.dsl

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/sgml/docbook/gnome-customization-%{version}

%{__make} install DESTDIR=$RPM_BUILD_ROOT
install *.dtd *.cat *.dsl $RPM_BUILD_ROOT%{_datadir}/sgml/docbook/gnome-customization-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- %{name} < 1.0-4
if ! grep -q /etc/sgml/gnome-customization-%{version}-%{release}.cat /etc/sgml/catalog ; then
	/usr/bin/install-catalog --add /etc/sgml/gnome-customization-%{version}-%{release}.cat %{_datadir}/sgml/docbook/gnome-customization-%{version}/png-support.cat > /dev/null
fi

%pre
if [ -L %{_datadir}/sgml/docbook/dsssl-stylesheets ] ; then
	rm -rf %{_datadir}/sgml/docbook/dsssl-stylesheets
fi

%post
if ! grep -q /etc/sgml/gnome-customization-%{version}-%{release}.cat /etc/sgml/catalog ; then
	/usr/bin/install-catalog --add /etc/sgml/gnome-customization-%{version}-%{release}.cat %{_datadir}/sgml/docbook/gnome-customization-%{version}/png-support.cat > /dev/null
fi

%postun
if [ "$1" = 0 ]; then
	/usr/bin/install-catalog --remove /etc/sgml/gnome-customization-%{version}-%{release}.cat %{_datadir}/sgml/docbook/gnome-customization-%{version}/png-support.cat > /dev/null
fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/png2eps
%attr(755,root,root) %{_bindir}/dbnochunks
%{_mandir}/*/*
%{_datadir}/sgml/docbook/gnome-customization-%{version}


%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-doc-tools.spec,v $
Revision 1.29  2007/08/05 21:10:50  wolvverine
- rel.7

Revision 1.28  2007/02/13 07:16:46  glen
- tabs in preamble

Revision 1.27  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.26  2005/04/30 19:09:04  kosmo
- added BR: sgml-common

Revision 1.25  2005/04/17 01:08:52  mmazur
- rel 6 for th

Revision 1.24  2004/03/21 12:48:27  twittner
- fixed md5 formatting

Revision 1.23  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.22  2003/05/25 05:48:06  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2003/01/10 14:49:31  radek
- Source0 from FTP differs with Source0 from CVS; commented out the
  URL and reverted the previous change... once again

Revision 1.20  2003/01/10 12:35:23  radek
- reverted last change (look at `tar tzf Source0`|head -n 1)

Revision 1.19  2003/01/10 09:46:47  trojan
- fixed %%prep

Revision 1.18  2003/01/02 23:12:16  juandon
- fixed setup

Revision 1.17  2002/12/18 20:03:58  qboosh
- changed URLs to some working now

Revision 1.16  2002/10/22 16:35:21  malekith
- release 5

Revision 1.15  2002/10/03 18:42:59  kloczek
- fix in %triggerpostun.

Revision 1.14  2002/10/03 18:32:42  kloczek
- release 4,
- fixes %pre*/%posti* scripts and added %triggerpostun for prevent unregister
  unconditionaly cat files (depending on is this script is runed on uninstall
  or upgrade to new version).

Revision 1.13  2002/05/29 13:16:25  wiget
- fix catalog {de}registartion
- rel 3

Revision 1.12  2002/05/21 23:13:15  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.11  2002/04/25 16:26:15  arturs
fixed a small typo

Revision 1.10  2002/04/12 20:18:38  kloczek
- releass2,
- License changed to GPL,
- added regenerate ac/am files and use %%configure macro.

Revision 1.9  2002/02/23 02:17:45  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:28:58  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/02/01 00:01:51  ankry
- added Group(fr)

Revision 1.6  2002/01/18 02:13:07  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/11/28 15:38:31  qboosh
- added URL and pl translations, cosmetics

Revision 1.4  2001/11/23 14:51:02  kloczek
- s/Copyright/License/

Revision 1.3  2001/11/14 11:45:26  filon
- changed to %%configure2_13, to make it build

Revision 1.2  2001/04/25 10:50:37  kloczek
- cosmetics.

Revision 1.1  2001/04/25 08:55:52  klakier
- besed on src.rpm from http://people.redhat.com/dcm/software.html
